# PSF-LoginServer - master - net.psforever.util.PointOfInterest
PSF - LoginServer - master - net.psforever.util.PointOfInterest
Keywords: PSF LoginServer master net.psforever.util.PointOfInterest

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package util
  Definition Classes
    psforever
- AdminConfig
- AntiCheatConfig
- AppConfig
- Config
- Database
- DatabaseConfig
- DefinitionUtil
- DevelopmentConfig
- DiffieHellman
- GameConfig
- HartConfig
- KamonConfig
- LoginConfig
- Md5Mac
- MiddlewareConfig
- NetSimConfig
- NetworkConfig
- NewAvatar
- PointOfInterest
- SentryConfig
- SessionConfig
- WorldConfig

o

net.psforever.util

# PointOfInterest 

###
Companion class PointOfInterest

#### object PointOfInterest

Source
  PointOfInterest.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PointOfInterest
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def apply(alias: String, map: String, zonename: String): PointOfInterest

   An abbreviated constructor for creating `CSRZone`s without invocation of `new`.

   An abbreviated constructor for creating `CSRZone`s without invocation of `new`.

   alias

     the common name of the zone

   map

     the map name of the zone (this map is loaded)

   zonename

     the zone's internal name

5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  def get(zoneId: String): Option[PointOfInterest]

    Get a valid `CSRZone`'s information.

    Get a valid `CSRZone`'s information.

    zoneId

      a name that describes the zone and should be searchable

    returns

      the `CSRZone`, or `None`

11.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  def getWarpLocation(zoneId: String, locationId: String): Option[Vector3]

    Get a location within the `CSRZone`.

    Get a location within the `CSRZone`. The location should be a facility or a warpgate or interesting.

    zoneId

      the `CSRZone`

    locationId

      a name that describes a known location in the provided `CSRZone` and is searchable

    returns

      the coordinates of that location, or None

13.  def getWarpgate(zone: PointOfInterest, gateId: String): Option[Vector3]

    Get the position of a warpgate within the zone.

    Get the position of a warpgate within the zone.

    zone

      the `CSRZone`

    gateId

      a name that describes a known warpgate in the provided `CSRZone` and is searchable

    returns

      the coordinates of that warpgate, or None

14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  def list: String

    Get the names for all of the `CSRZones` that can be visited.

    Get the names for all of the `CSRZones` that can be visited.

    returns

      all of the zonenames

17.  def listAll(zone: PointOfInterest): String

    Get the name for all of the warpgates and locations that can be visited in this `CSRZone`.

    Get the name for all of the warpgates and locations that can be visited in this `CSRZone`.

    zone

      the `CSRZone`

    returns

      all of the warpgate and location keys

18.  def listLocations(zone: PointOfInterest): String

    Get the name for all of the locations that can be visited in this `CSRZone`, excluding warpgates.

    Get the name for all of the locations that can be visited in this `CSRZone`, excluding warpgates.

    zone

      the `CSRZone`

    returns

      all of the location keys

19.  def listWarpgates(zone: PointOfInterest): String

    Get the name for all of the warpgates that can be visited in this `CSRZone`.

    Get the name for all of the warpgates that can be visited in this `CSRZone`.

    zone

      the `CSRZone`

    returns

      all of the warpgate keys

20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  def selectRandom(zone: PointOfInterest): Vector3

    Select, of all the `CSRZone` locations and warpgates, a pseudorandom destination to spawn the player in the zone if none has been specified.

    Select, of all the `CSRZone` locations and warpgates, a pseudorandom destination to spawn the player in the zone if none has been specified.

    zone

      the `CSRZone`

    returns

      the coordinates of the spawn point

24.  def setup(): Unit

    Load all zones with selected places of interest and the coordinates to place the player nearby that given place of interest.

    Load all zones with selected places of interest and the coordinates to place the player nearby that given place of interest. All of these keys should be searchable under the `/warp` command. Only the warpgate keys are searchable by the `/zone` command.

25.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
26.  def toString(): String
    Definition Classes
      AnyRef → Any
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
28.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
29.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped